FROM openjdk:19-jdk AS builder

WORKDIR /app
COPY ./.mvn .mvn
COPY ./src src
COPY ./pom.xml mvnw ./

RUN /app/mvnw package

FROM openjdk:19-jdk
COPY --from=builder  /app/target/gmkResources-api-0.0.1-SNAPSHOT.jar /usr/local/bin/gmkResources-api

CMD ["/usr/local/bin/gmkResources-api"]
